<!-- 
@author 		rodrigo.hernandez
@description	Pantalla donde se maneja el cargue de documentos que se van a anexar
                a una solicitud de avaluo comercial
                
@managed Bean  	AdministracionDocumentacionTramiteAvaluoMB 

-->

<h:form xmlns="http://www.w3.org/1999/xhtml"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:p="http://primefaces.org/ui"
        id="cargarDocumentosSolicitudForm">

    <h:panelGrid width="500" columns="2" cellpadding="10">
        <p:messages id="msgsCD" globalOnly="false" />

        <p:spacer height="10" />
        <h:outputLabel value="Documento de soporte:"
                       styleClass="outputLabelStyle" />


        <p:fileUpload id="fu" label="Cargar anexo"
                      fileUploadListener="#{administracionDocumentacionAvaluoComercial.cargarAnexo}"
                      dragDropSupport="true" update=":administrarAnexosForm:tblAnexos"
                      invalidSizeMessage="El archivo seleccionado supera el tamaño permitido"
                      widgetVar="uploader" mode="advanced" auto="true" sizeLimit="10000000"
                      allowTypes="/(\.|\/)(txt|csv|pdf|dwg|jpg)$/"
                      rendered="#{!administracionDocumentacionAvaluoComercial.banderaModoLecturaHabilitado}" />


        <h:outputLabel value="Descripcion:" styleClass="outputLabelStyle" />

        <h:inputText size="60" required="true"
                     requiredMessage="Debe ingresar una descripción"
                     value="#{administracionDocumentacionAvaluoComercial.documentoAnexoCargado.descripcion}" />


        <h:outputLabel value="Aportado:" styleClass="outputLabelStyle" />
        <p:selectBooleanCheckbox
            value="#{administracionDocumentacionAvaluoComercial.docAportado}" />

        <h:panelGrid columns="2" cellspacing="2">
            <p:commandButton id="guardarDocBtn"
                             action="#{administracionDocumentacionAvaluoComercial.relacionarAnexo}"
                             value="Guardar" icon="ui-icon-save" onstart="statusDialog2.show()"
                             oncomplete="statusDialog2.hide();cargaDocWV.hide()"
                             update=":administrarAnexosForm:tblAnexos" />
            <p:commandButton value="Cancelar" icon="ui-icon-close"
                             oncomplete="statusDialog2.hide();cargaDocWV.hide()" />

        </h:panelGrid>

    </h:panelGrid>
</h:form>